From e3200b285ee91762f54771d18b36a24813c72e42 Mon Sep 17 00:00:00 2001
From: Markus Elfring <Markus.Elfring@web.de>
Date: Thu, 5 Apr 2012 12:55:47 +0200
Subject: [PATCH] Bug #35938: Make include guards standard-compliant

Include guards were adjusted because a couple of them tampered with the name space
that is reserved for identifiers in C compiler implementations.
https://www.securecoding.cert.org/confluence/display/seccode/DCL37-C.+Do+not+declare+or+define+a+reserved+identifier#DCL37-C.Donotdeclareordefineareservedidentifier-NoncompliantCodeExample%28HeaderGuard%29

Signed-off-by: Markus Elfring <Markus.Elfring@web.de>
---
 cmc/xcmc.h                               |    6 +++---
 imap4d/imap4d.h                          |    6 +++---
 include/mailutils/acl.h                  |    4 ++--
 include/mailutils/address.h              |    6 +++---
 include/mailutils/alloc.h                |    4 ++--
 include/mailutils/argcv.h                |    6 +++---
 include/mailutils/assoc.h                |    6 +++---
 include/mailutils/attribute.h            |    6 +++---
 include/mailutils/auth.h                 |    6 +++---
 include/mailutils/body.h                 |    6 +++---
 include/mailutils/cctype.h               |    4 ++--
 include/mailutils/cfg.h                  |    4 ++--
 include/mailutils/cidr.h                 |    6 +++---
 include/mailutils/cpp/address.h          |    6 +++---
 include/mailutils/cpp/attribute.h        |    6 +++---
 include/mailutils/cpp/body.h             |    6 +++---
 include/mailutils/cpp/envelope.h         |    6 +++---
 include/mailutils/cpp/error.h            |    4 ++--
 include/mailutils/cpp/filter.h           |    6 +++---
 include/mailutils/cpp/folder.h           |    6 +++---
 include/mailutils/cpp/header.h           |    6 +++---
 include/mailutils/cpp/iterator.h         |    6 +++---
 include/mailutils/cpp/list.h             |    6 +++---
 include/mailutils/cpp/mailbox.h          |    4 ++--
 include/mailutils/cpp/mailcap.h          |    6 +++---
 include/mailutils/cpp/mailer.h           |    6 +++---
 include/mailutils/cpp/message.h          |    6 +++---
 include/mailutils/cpp/mime.h             |    6 +++---
 include/mailutils/cpp/pop3.h             |    6 +++---
 include/mailutils/cpp/registrar.h        |    6 +++---
 include/mailutils/cpp/secret.h           |    6 +++---
 include/mailutils/cpp/sieve.h            |    6 +++---
 include/mailutils/cpp/stream.h           |    6 +++---
 include/mailutils/cpp/url.h              |    6 +++---
 include/mailutils/cpp/util.h             |    6 +++---
 include/mailutils/cstr.h                 |    4 ++--
 include/mailutils/daemon.h               |    6 +++---
 include/mailutils/datetime.h             |    4 ++--
 include/mailutils/dbm.h                  |    4 ++--
 include/mailutils/debug.h                |    6 +++---
 include/mailutils/diag.h                 |    4 ++--
 include/mailutils/envelope.h             |    4 ++--
 include/mailutils/errno.hin              |    2 +-
 include/mailutils/error.h                |    6 +++---
 include/mailutils/filter.h               |    6 +++---
 include/mailutils/folder.h               |    4 ++--
 include/mailutils/gocs.h                 |    4 ++--
 include/mailutils/gsasl.h                |    4 ++--
 include/mailutils/guile.h                |    4 ++--
 include/mailutils/header.h               |    6 +++---
 include/mailutils/imap.h                 |    6 +++---
 include/mailutils/imapio.h               |    4 ++--
 include/mailutils/imaputil.h             |    4 ++--
 include/mailutils/io.h                   |    4 ++--
 include/mailutils/iterator.h             |    6 +++---
 include/mailutils/kwd.h                  |    4 ++--
 include/mailutils/ldap.h                 |    4 ++--
 include/mailutils/libargp.h              |    4 ++--
 include/mailutils/libcfg.h               |    4 ++--
 include/mailutils/list.h                 |    6 +++---
 include/mailutils/locker.h               |    4 ++--
 include/mailutils/log.h                  |    4 ++--
 include/mailutils/mailbox.h              |    6 +++---
 include/mailutils/mailcap.h              |    4 ++--
 include/mailutils/mailer.h               |    6 +++---
 include/mailutils/md5.h                  |    4 ++--
 include/mailutils/message.h              |    6 +++---
 include/mailutils/mh.h                   |    4 ++--
 include/mailutils/mime.h                 |    6 +++---
 include/mailutils/monitor.h              |    6 +++---
 include/mailutils/msgset.h               |    4 ++--
 include/mailutils/mu_auth.h              |    4 ++--
 include/mailutils/nls.h                  |    4 ++--
 include/mailutils/nntp.h                 |    6 +++---
 include/mailutils/observer.h             |    6 +++---
 include/mailutils/opool.h                |    4 ++--
 include/mailutils/pam.h                  |    4 ++--
 include/mailutils/parse822.h             |    6 +++---
 include/mailutils/pop3.h                 |    6 +++---
 include/mailutils/prog.h                 |    4 ++--
 include/mailutils/progmailer.h           |    6 +++---
 include/mailutils/property.h             |    6 +++---
 include/mailutils/python.h               |    6 +++---
 include/mailutils/radius.h               |    4 ++--
 include/mailutils/refcount.h             |    6 +++---
 include/mailutils/registrar.h            |    6 +++---
 include/mailutils/secret.h               |    4 ++--
 include/mailutils/server.h               |    4 ++--
 include/mailutils/sha1.h                 |    2 +-
 include/mailutils/sieve.h                |    4 ++--
 include/mailutils/smtp.h                 |    2 +-
 include/mailutils/sockaddr.h             |    6 +++---
 include/mailutils/sql.h                  |    4 ++--
 include/mailutils/stdstream.h            |    4 ++--
 include/mailutils/stream.h               |    4 ++--
 include/mailutils/sys/amd.h              |    2 +-
 include/mailutils/sys/attribute.h        |    4 ++--
 include/mailutils/sys/auth.h             |    4 ++--
 include/mailutils/sys/body.h             |    4 ++--
 include/mailutils/sys/dbm.h              |    2 +-
 include/mailutils/sys/envelope.h         |    4 ++--
 include/mailutils/sys/file_stream.h      |    4 ++--
 include/mailutils/sys/filter.h           |    6 +++---
 include/mailutils/sys/folder.h           |    4 ++--
 include/mailutils/sys/gsasl-stream.h     |    2 +-
 include/mailutils/sys/header.h           |    6 +++---
 include/mailutils/sys/header_stream.h    |    4 ++--
 include/mailutils/sys/imap.h             |    4 ++--
 include/mailutils/sys/imapio.h           |    2 +-
 include/mailutils/sys/iostream.h         |    2 +-
 include/mailutils/sys/iterator.h         |    4 ++--
 include/mailutils/sys/list.h             |    4 ++--
 include/mailutils/sys/logstream.h        |    4 ++--
 include/mailutils/sys/mailbox.h          |    4 ++--
 include/mailutils/sys/mailer.h           |    4 ++--
 include/mailutils/sys/mapfile_stream.h   |    4 ++--
 include/mailutils/sys/memory_stream.h    |    4 ++--
 include/mailutils/sys/message.h          |    6 +++---
 include/mailutils/sys/message_stream.h   |    4 ++--
 include/mailutils/sys/mime.h             |    4 ++--
 include/mailutils/sys/monitor.h          |    2 +-
 include/mailutils/sys/msgset.h           |    2 +-
 include/mailutils/sys/nntp.h             |    6 +++---
 include/mailutils/sys/nullstream.h       |    4 ++--
 include/mailutils/sys/observer.h         |    4 ++--
 include/mailutils/sys/pop3.h             |    6 +++---
 include/mailutils/sys/prog_stream.h      |    4 ++--
 include/mailutils/sys/property.h         |    4 ++--
 include/mailutils/sys/rdcache_stream.h   |    2 +-
 include/mailutils/sys/registrar.h        |    4 ++--
 include/mailutils/sys/smtp.h             |    2 +-
 include/mailutils/sys/stream.h           |    4 ++--
 include/mailutils/sys/streamref.h        |    4 ++--
 include/mailutils/sys/streamtrans.h      |    4 ++--
 include/mailutils/sys/syslogstream.h     |    4 ++--
 include/mailutils/sys/temp_file_stream.h |    4 ++--
 include/mailutils/sys/tls-stream.h       |    2 +-
 include/mailutils/sys/url.h              |    4 ++--
 include/mailutils/sys/xscript-stream.h   |    2 +-
 include/mailutils/syslog.h               |    4 ++--
 include/mailutils/tls.h                  |    6 +++---
 include/mailutils/types.hin              |    2 +-
 include/mailutils/url.h                  |    6 +++---
 include/mailutils/util.h                 |    4 ++--
 include/mailutils/vartab.h               |    4 ++--
 include/mailutils/version.h              |    4 ++--
 include/mailutils/wordsplit.h            |    4 ++--
 mail/mail.h                              |    6 +++---
 pop3d/pop3d.h                            |    6 +++---
 readmsg/readmsg.h                        |    4 ++--
 150 files changed, 346 insertions(+), 346 deletions(-)

diff --git a/cmc/xcmc.h b/cmc/xcmc.h
index 7923b95..418ea93 100644
--- a/cmc/xcmc.h
+++ b/cmc/xcmc.h
@@ -16,8 +16,8 @@
    License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _XCMC_H
-#define _XCMC_H
+#ifndef XCMC_H
+#define XCMC_H
 
 #ifdef __cplusplus
 extern "C" {
@@ -364,4 +364,4 @@ CMC_return_code cmc_query_configuration (CMC_session_id session,
 }       /* extern "C" */
 #endif
 
-#endif  /* _XCMC_H */
+#endif  /* XCMC_H */
diff --git a/imap4d/imap4d.h b/imap4d/imap4d.h
index bca33df..d59f0ca 100644
--- a/imap4d/imap4d.h
+++ b/imap4d/imap4d.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _IMAP4D_H
-#define _IMAP4D_H 1
+#ifndef IMAP4D_H
+#define IMAP4D_H 1
 
 #ifdef HAVE_CONFIG_H
 #include <config.h>
@@ -449,4 +449,4 @@ void quota_update (mu_off_t size);
 }
 #endif
 
-#endif /* _IMAP4D_H */
+#endif /* IMAP4D_H */
diff --git a/include/mailutils/acl.h b/include/mailutils/acl.h
index e1708d6..ada0475 100644
--- a/include/mailutils/acl.h
+++ b/include/mailutils/acl.h
@@ -15,8 +15,8 @@
    Public License along with this library; If not, see
    <http://www.gnu.org/licenses/>.  */
 
-#ifndef _MAILUTILS_ACL_H
-#define _MAILUTILS_ACL_H
+#ifndef MAILUTILS_ACL_H
+#define MAILUTILS_ACL_H
 
 #include <mailutils/types.h>
 #include <mailutils/iterator.h>
diff --git a/include/mailutils/address.h b/include/mailutils/address.h
index 7250162..c8843e1 100644
--- a/include/mailutils/address.h
+++ b/include/mailutils/address.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ADDRESS_H
-#define _MAILUTILS_ADDRESS_H
+#ifndef MAILUTILS_ADDRESS_H
+#define MAILUTILS_ADDRESS_H
 
 #include <mailutils/types.h>
 
@@ -164,4 +164,4 @@ extern int mu_validate_email (mu_address_t subaddr);
 }
 #endif
 
-#endif /* _MAILUTILS_ADDRESS_H */
+#endif /* MAILUTILS_ADDRESS_H */
diff --git a/include/mailutils/alloc.h b/include/mailutils/alloc.h
index d6c18c3..1f70193 100644
--- a/include/mailutils/alloc.h
+++ b/include/mailutils/alloc.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ALLOC_H
-#define _MAILUTILS_ALLOC_H
+#ifndef MAILUTILS_ALLOC_H
+#define MAILUTILS_ALLOC_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/argcv.h b/include/mailutils/argcv.h
index 587b5c4..aa68407 100644
--- a/include/mailutils/argcv.h
+++ b/include/mailutils/argcv.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _ARGCV_H
-#define _ARGCV_H 1
+#ifndef ARGCV_H
+#define ARGCV_H 1
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -81,4 +81,4 @@ void mu_argcv_quote_copy (char *dst, const char *src)
 }
 #endif
 
-#endif /* _ARGCV_H */
+#endif /* ARGCV_H */
diff --git a/include/mailutils/assoc.h b/include/mailutils/assoc.h
index 75c01af..3a45e2b 100644
--- a/include/mailutils/assoc.h
+++ b/include/mailutils/assoc.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ASSOC_H
-#define _MAILUTILS_ASSOC_H
+#ifndef MAILUTILS_ASSOC_H
+#define MAILUTILS_ASSOC_H
 
 #ifdef __cplusplus
 extern "C" {
@@ -45,6 +45,6 @@ int mu_assoc_count (mu_assoc_t assoc, size_t *pcount);
 }
 #endif
 
-#endif /* _MAILUTILS_ASSOC_H */
+#endif /* MAILUTILS_ASSOC_H */
 
      
diff --git a/include/mailutils/attribute.h b/include/mailutils/attribute.h
index 31c219a..6413579 100644
--- a/include/mailutils/attribute.h
+++ b/include/mailutils/attribute.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ATTRIBUTE_H
-#define _MAILUTILS_ATTRIBUTE_H
+#ifndef MAILUTILS_ATTRIBUTE_H
+#define MAILUTILS_ATTRIBUTE_H
 
 #include <mailutils/types.h>
 
@@ -106,4 +106,4 @@ extern int mu_string_to_flags           (const char *, int *);
 }
 #endif
 
-#endif /* _MAILUTILS_ATTRIBUTE_H */
+#endif /* MAILUTILS_ATTRIBUTE_H */
diff --git a/include/mailutils/auth.h b/include/mailutils/auth.h
index 42853c9..4c6c193 100644
--- a/include/mailutils/auth.h
+++ b/include/mailutils/auth.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_AUTH_H
-#define _MAILUTILS_AUTH_H
+#ifndef MAILUTILS_AUTH_H
+#define MAILUTILS_AUTH_H
 
 #include <mailutils/types.h>
 
@@ -89,4 +89,4 @@ int mu_wicket_file_match_url (const char *name, mu_url_t url,
 }
 #endif
 
-#endif /* _MAILUTILS_AUTH_H */
+#endif /* MAILUTILS_AUTH_H */
diff --git a/include/mailutils/body.h b/include/mailutils/body.h
index e5cb44a..2df587e 100644
--- a/include/mailutils/body.h
+++ b/include/mailutils/body.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_BODY_H
-#define _MAILUTILS_BODY_H
+#ifndef MAILUTILS_BODY_H
+#define MAILUTILS_BODY_H
 
 #include <mailutils/types.h>
 
@@ -50,4 +50,4 @@ extern int mu_body_set_lines      (mu_body_t,
 }
 #endif
 
-#endif /* _MAILUTILS_BODY_H */
+#endif /* MAILUTILS_BODY_H */
diff --git a/include/mailutils/cctype.h b/include/mailutils/cctype.h
index 326681e..a9f92f5 100644
--- a/include/mailutils/cctype.h
+++ b/include/mailutils/cctype.h
@@ -17,8 +17,8 @@
 
 /* Ctype functions for ASCII character set */
 
-#ifndef _MAILUTILS_MUCTYPE_H
-#define _MAILUTILS_MUCTYPE_H
+#ifndef MAILUTILS_MUCTYPE_H
+#define MAILUTILS_MUCTYPE_H
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/include/mailutils/cfg.h b/include/mailutils/cfg.h
index ce78ae1..e3838c3 100644
--- a/include/mailutils/cfg.h
+++ b/include/mailutils/cfg.h
@@ -15,8 +15,8 @@
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _MAILUTILS_CFG_H
-#define _MAILUTILS_CFG_H
+#ifndef MAILUTILS_CFG_H
+#define MAILUTILS_CFG_H
 
 #include <mailutils/list.h>
 #include <mailutils/debug.h>
diff --git a/include/mailutils/cidr.h b/include/mailutils/cidr.h
index 4da2ca9..13c1aec 100644
--- a/include/mailutils/cidr.h
+++ b/include/mailutils/cidr.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_CIDR_H
-#define _MAILUTILS_CIDR_H
+#ifndef MAILUTILS_CIDR_H
+#define MAILUTILS_CIDR_H
 
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -57,6 +57,6 @@ int _mu_inaddr_to_bytes (int af, void *buf, unsigned char *bytes);
 }
 #endif
 
-#endif /* _MAILUTILS_CIDR_H */
+#endif /* MAILUTILS_CIDR_H */
 	
   
diff --git a/include/mailutils/cpp/address.h b/include/mailutils/cpp/address.h
index 3f3ffed..6539fe9 100644
--- a/include/mailutils/cpp/address.h
+++ b/include/mailutils/cpp/address.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_ADDRESS_H
-#define _MUCPP_ADDRESS_H
+#ifndef MUCPP_ADDRESS_H
+#define MUCPP_ADDRESS_H
 
 #include <ostream>
 #include <errno.h>
@@ -70,5 +70,5 @@ class Address
 
 }
 
-#endif // not _MUCPP_ADDRESS_H
+#endif // not MUCPP_ADDRESS_H
 
diff --git a/include/mailutils/cpp/attribute.h b/include/mailutils/cpp/attribute.h
index 58f3f5e..208f0f8 100644
--- a/include/mailutils/cpp/attribute.h
+++ b/include/mailutils/cpp/attribute.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_ATTRIBUTE_H
-#define _MUCPP_ATTRIBUTE_H
+#ifndef MUCPP_ATTRIBUTE_H
+#define MUCPP_ATTRIBUTE_H
 
 #include <ostream>
 #include <errno.h>
@@ -73,5 +73,5 @@ class Attribute
 
 }
 
-#endif // not _MUCPP_ATTRIBUTE_H
+#endif // not MUCPP_ATTRIBUTE_H
 
diff --git a/include/mailutils/cpp/body.h b/include/mailutils/cpp/body.h
index bd071fe..e79912a 100644
--- a/include/mailutils/cpp/body.h
+++ b/include/mailutils/cpp/body.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_BODY_H
-#define _MUCPP_BODY_H
+#ifndef MUCPP_BODY_H
+#define MUCPP_BODY_H
 
 #include <string>
 #include <errno.h>
@@ -49,5 +49,5 @@ class Body
 
 }
 
-#endif // not _MUCPP_BODY_H
+#endif // not MUCPP_BODY_H
 
diff --git a/include/mailutils/cpp/envelope.h b/include/mailutils/cpp/envelope.h
index b742df7..b1ee43b 100644
--- a/include/mailutils/cpp/envelope.h
+++ b/include/mailutils/cpp/envelope.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_ENVELOPE_H
-#define _MUCPP_ENVELOPE_H
+#ifndef MUCPP_ENVELOPE_H
+#define MUCPP_ENVELOPE_H
 
 #include <string>
 #include <errno.h>
@@ -41,5 +41,5 @@ class Envelope
 
 }
 
-#endif // not _MUCPP_ENVELOPE_H
+#endif // not MUCPP_ENVELOPE_H
 
diff --git a/include/mailutils/cpp/error.h b/include/mailutils/cpp/error.h
index f811885..a9f7b77 100644
--- a/include/mailutils/cpp/error.h
+++ b/include/mailutils/cpp/error.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_ERROR_H
-#define _MUCPP_ERROR_H
+#ifndef MUCPP_ERROR_H
+#define MUCPP_ERROR_H
 
 #include <string>
 #include <mailutils/errno.h>
diff --git a/include/mailutils/cpp/filter.h b/include/mailutils/cpp/filter.h
index b5200bd..b69d88d 100644
--- a/include/mailutils/cpp/filter.h
+++ b/include/mailutils/cpp/filter.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_FILTER_H
-#define _MUCPP_FILTER_H
+#ifndef MUCPP_FILTER_H
+#define MUCPP_FILTER_H
 
 #include <mailutils/filter.h>
 #include <mailutils/cpp/stream.h>
@@ -50,5 +50,5 @@ class FilterIconvStream : public Stream
 
 }
 
-#endif // not _MUCPP_FILTER_H
+#endif // not MUCPP_FILTER_H
 
diff --git a/include/mailutils/cpp/folder.h b/include/mailutils/cpp/folder.h
index afa8b48..cb17162 100644
--- a/include/mailutils/cpp/folder.h
+++ b/include/mailutils/cpp/folder.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_FOLDER_H
-#define _MUCPP_FOLDER_H
+#ifndef MUCPP_FOLDER_H
+#define MUCPP_FOLDER_H
 
 #include <errno.h>
 #include <mailutils/folder.h>
@@ -56,5 +56,5 @@ class Folder
 
 }
 
-#endif // not _MUCPP_FOLDER_H
+#endif // not MUCPP_FOLDER_H
 
diff --git a/include/mailutils/cpp/header.h b/include/mailutils/cpp/header.h
index b976391..9484e19 100644
--- a/include/mailutils/cpp/header.h
+++ b/include/mailutils/cpp/header.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_HEADER_H
-#define _MUCPP_HEADER_H
+#ifndef MUCPP_HEADER_H
+#define MUCPP_HEADER_H
 
 #include <string>
 #include <errno.h>
@@ -49,5 +49,5 @@ class Header
 
 }
 
-#endif // not _MUCPP_HEADER_H
+#endif // not MUCPP_HEADER_H
 
diff --git a/include/mailutils/cpp/iterator.h b/include/mailutils/cpp/iterator.h
index 5376fda..d42ac77 100644
--- a/include/mailutils/cpp/iterator.h
+++ b/include/mailutils/cpp/iterator.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_ITERATOR_H
-#define _MUCPP_ITERATOR_H
+#ifndef MUCPP_ITERATOR_H
+#define MUCPP_ITERATOR_H
 
 #include <errno.h>
 #include <mailutils/iterator.h>
@@ -61,5 +61,5 @@ class Iterator
 
 }
 
-#endif // not _MUCPP_ITERATOR_H
+#endif // not MUCPP_ITERATOR_H
 
diff --git a/include/mailutils/cpp/list.h b/include/mailutils/cpp/list.h
index 8bb6adc..2f30b8b 100644
--- a/include/mailutils/cpp/list.h
+++ b/include/mailutils/cpp/list.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_LIST_H
-#define _MUCPP_LIST_H
+#ifndef MUCPP_LIST_H
+#define MUCPP_LIST_H
 
 #include <list>
 #include <errno.h>
@@ -81,5 +81,5 @@ class List
 
 }
 
-#endif // not _MUCPP_LIST_H
+#endif // not MUCPP_LIST_H
 
diff --git a/include/mailutils/cpp/mailbox.h b/include/mailutils/cpp/mailbox.h
index 9fa741d..5d42b5b 100644
--- a/include/mailutils/cpp/mailbox.h
+++ b/include/mailutils/cpp/mailbox.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_MAILBOX_H
-#define _MUCPP_MAILBOX_H
+#ifndef MUCPP_MAILBOX_H
+#define MUCPP_MAILBOX_H
 
 #include <errno.h>
 #include <mailutils/mailbox.h>
diff --git a/include/mailutils/cpp/mailcap.h b/include/mailutils/cpp/mailcap.h
index 91ae37d..31e6d04 100644
--- a/include/mailutils/cpp/mailcap.h
+++ b/include/mailutils/cpp/mailcap.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_MAILCAP_H
-#define _MUCPP_MAILCAP_H
+#ifndef MUCPP_MAILCAP_H
+#define MUCPP_MAILCAP_H
 
 #include <errno.h>
 #include <mailutils/mailcap.h>
@@ -68,5 +68,5 @@ class Mailcap
 
 }
 
-#endif // not _MUCPP_MAILCAP_H
+#endif // not MUCPP_MAILCAP_H
 
diff --git a/include/mailutils/cpp/mailer.h b/include/mailutils/cpp/mailer.h
index b943388..0efbd5f 100644
--- a/include/mailutils/cpp/mailer.h
+++ b/include/mailutils/cpp/mailer.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_MAILER_H
-#define _MUCPP_MAILER_H
+#ifndef MUCPP_MAILER_H
+#define MUCPP_MAILER_H
 
 #include <string>
 #include <errno.h>
@@ -48,5 +48,5 @@ class Mailer
 
 }
 
-#endif // not _MUCPP_MAILER_H
+#endif // not MUCPP_MAILER_H
 
diff --git a/include/mailutils/cpp/message.h b/include/mailutils/cpp/message.h
index 31f0d1b..8fbdcdf 100644
--- a/include/mailutils/cpp/message.h
+++ b/include/mailutils/cpp/message.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_MESSAGE_H
-#define _MUCPP_MESSAGE_H
+#ifndef MUCPP_MESSAGE_H
+#define MUCPP_MESSAGE_H
 
 #include <errno.h>
 #include <mailutils/message.h>
@@ -71,5 +71,5 @@ class Message
 
 }
 
-#endif // not _MUCPP_MESSAGE_H
+#endif // not MUCPP_MESSAGE_H
 
diff --git a/include/mailutils/cpp/mime.h b/include/mailutils/cpp/mime.h
index d5fc1ae..05ccc23 100644
--- a/include/mailutils/cpp/mime.h
+++ b/include/mailutils/cpp/mime.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_MIME_H
-#define _MUCPP_MIME_H
+#ifndef MUCPP_MIME_H
+#define MUCPP_MIME_H
 
 #include <string>
 #include <errno.h>
@@ -52,5 +52,5 @@ extern int rfc2047_encode (const char* charset, const char* encoding,
 
 }
 
-#endif // not _MUCPP_MIME_H
+#endif // not MUCPP_MIME_H
 
diff --git a/include/mailutils/cpp/pop3.h b/include/mailutils/cpp/pop3.h
index 0f9f93b..e89f444 100644
--- a/include/mailutils/cpp/pop3.h
+++ b/include/mailutils/cpp/pop3.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_POP3_H
-#define _MUCPP_POP3_H
+#ifndef MUCPP_POP3_H
+#define MUCPP_POP3_H
 
 #include <errno.h>
 #include <mailutils/pop3.h>
@@ -70,5 +70,5 @@ class Pop3
 
 }
 
-#endif // not _MUCPP_POP3_H
+#endif // not MUCPP_POP3_H
 
diff --git a/include/mailutils/cpp/registrar.h b/include/mailutils/cpp/registrar.h
index 76f6e14..dda90c1 100644
--- a/include/mailutils/cpp/registrar.h
+++ b/include/mailutils/cpp/registrar.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_REGISTRAR_H
-#define _MUCPP_REGISTRAR_H
+#ifndef MUCPP_REGISTRAR_H
+#define MUCPP_REGISTRAR_H
 
 #include <string>
 #include <errno.h>
@@ -106,5 +106,5 @@ register_all_formats ()
 
 }
 
-#endif // not _MUCPP_REGISTRAR_H
+#endif // not MUCPP_REGISTRAR_H
 
diff --git a/include/mailutils/cpp/secret.h b/include/mailutils/cpp/secret.h
index c03d6ef..6c1e69b 100644
--- a/include/mailutils/cpp/secret.h
+++ b/include/mailutils/cpp/secret.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_SECRET_H
-#define _MUCPP_SECRET_H
+#ifndef MUCPP_SECRET_H
+#define MUCPP_SECRET_H
 
 #include <string>
 #include <errno.h>
@@ -44,5 +44,5 @@ class Secret
 
 }
 
-#endif // not _MUCPP_SECRET_H
+#endif // not MUCPP_SECRET_H
 
diff --git a/include/mailutils/cpp/sieve.h b/include/mailutils/cpp/sieve.h
index a869244..243471f 100644
--- a/include/mailutils/cpp/sieve.h
+++ b/include/mailutils/cpp/sieve.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_SIEVE_H
-#define _MUCPP_SIEVE_H
+#ifndef MUCPP_SIEVE_H
+#define MUCPP_SIEVE_H
 
 #include <string>
 #include <errno.h>
@@ -49,5 +49,5 @@ class SieveMachine
 
 }
 
-#endif // not _MUCPP_SIEVE_H
+#endif // not MUCPP_SIEVE_H
 
diff --git a/include/mailutils/cpp/stream.h b/include/mailutils/cpp/stream.h
index 324e252..65a61ee 100644
--- a/include/mailutils/cpp/stream.h
+++ b/include/mailutils/cpp/stream.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_STREAM_H
-#define _MUCPP_STREAM_H
+#ifndef MUCPP_STREAM_H
+#define MUCPP_STREAM_H
 
 #include <string>
 #include <errno.h>
@@ -126,5 +126,5 @@ class FilterProgStream : public Stream
 
 }
 
-#endif // not _MUCPP_STREAM_H
+#endif // not MUCPP_STREAM_H
 
diff --git a/include/mailutils/cpp/url.h b/include/mailutils/cpp/url.h
index 08f3d8b..833d281 100644
--- a/include/mailutils/cpp/url.h
+++ b/include/mailutils/cpp/url.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_URL_H
-#define _MUCPP_URL_H
+#ifndef MUCPP_URL_H
+#define MUCPP_URL_H
 
 #include <string>
 #include <vector>
@@ -56,5 +56,5 @@ class Url
 
 }
 
-#endif // not _MUCPP_URL_H
+#endif // not MUCPP_URL_H
 
diff --git a/include/mailutils/cpp/util.h b/include/mailutils/cpp/util.h
index 4a5c1c4..f0087e6 100644
--- a/include/mailutils/cpp/util.h
+++ b/include/mailutils/cpp/util.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MUCPP_UTIL_H
-#define _MUCPP_UTIL_H
+#ifndef MUCPP_UTIL_H
+#define MUCPP_UTIL_H
 
 #include <string>
 #include <mailutils/filter.h>
@@ -32,5 +32,5 @@ std::string tempname (const std::string& tmpdir);
 
 }
 
-#endif // not _MUCPP_UTIL_H
+#endif // not MUCPP_UTIL_H
 
diff --git a/include/mailutils/cstr.h b/include/mailutils/cstr.h
index 9f1ed3f..cb09801 100644
--- a/include/mailutils/cstr.h
+++ b/include/mailutils/cstr.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_CSTR_H
-#define _MAILUTILS_CSTR_H
+#ifndef MAILUTILS_CSTR_H
+#define MAILUTILS_CSTR_H
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/include/mailutils/daemon.h b/include/mailutils/daemon.h
index 261121c..0510873 100644
--- a/include/mailutils/daemon.h
+++ b/include/mailutils/daemon.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_DAEMON_H
-#define _MAILUTILS_DAEMON_H
+#ifndef MAILUTILS_DAEMON_H
+#define MAILUTILS_DAEMON_H
 
 #include <mailutils/types.h>
 #include <mailutils/gocs.h>
@@ -39,5 +39,5 @@ extern struct mu_gocs_daemon mu_gocs_daemon;
 }
 #endif
 
-#endif /* _MAILUTILS_DAEMON_H */
+#endif /* MAILUTILS_DAEMON_H */
 
diff --git a/include/mailutils/datetime.h b/include/mailutils/datetime.h
index 98a7bb4..0d7e759 100644
--- a/include/mailutils/datetime.h
+++ b/include/mailutils/datetime.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_DATETIME_H
-#define _MAILUTILS_DATETIME_H
+#ifndef MAILUTILS_DATETIME_H
+#define MAILUTILS_DATETIME_H
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/include/mailutils/dbm.h b/include/mailutils/dbm.h
index c38f3c1..5e2b57b 100644
--- a/include/mailutils/dbm.h
+++ b/include/mailutils/dbm.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_DBM_H
-#define _MAILUTILS_DBM_H
+#ifndef MAILUTILS_DBM_H
+#define MAILUTILS_DBM_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/debug.h b/include/mailutils/debug.h
index 411397c..9972500 100644
--- a/include/mailutils/debug.h
+++ b/include/mailutils/debug.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_DEBUG_H
-#define _MAILUTILS_DEBUG_H
+#ifndef MAILUTILS_DEBUG_H
+#define MAILUTILS_DEBUG_H
 
 #include <stdarg.h>
 
@@ -124,4 +124,4 @@ void mu_wd (unsigned to);
 }
 #endif
 
-#endif /* _MAILUTILS_DEBUG_H */
+#endif /* MAILUTILS_DEBUG_H */
diff --git a/include/mailutils/diag.h b/include/mailutils/diag.h
index 888187f..aa9cce8 100644
--- a/include/mailutils/diag.h
+++ b/include/mailutils/diag.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_DIAG_H
-#define _MAILUTILS_DIAG_H
+#ifndef MAILUTILS_DIAG_H
+#define MAILUTILS_DIAG_H
 
 #include <stdarg.h>
 
diff --git a/include/mailutils/envelope.h b/include/mailutils/envelope.h
index 265df09..8f3c1b5 100644
--- a/include/mailutils/envelope.h
+++ b/include/mailutils/envelope.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ENVELOPE_H
+#ifndef MAILUTILS_ENVELOPE_H
 # define _MAILUTILS_ENVELOPE_H
 
 #include <mailutils/types.h>
@@ -54,4 +54,4 @@ int mu_envelope_set_destroy (mu_envelope_t envelope,
 #ifdef __cplusplus
 }
 #endif
-#endif /* _MAILUTILS_ENVELOPE_H */
+#endif /* MAILUTILS_ENVELOPE_H */
diff --git a/include/mailutils/errno.hin b/include/mailutils/errno.hin
index 3c0b7fd..505abd9 100644
--- a/include/mailutils/errno.hin
+++ b/include/mailutils/errno.hin
@@ -17,7 +17,7 @@
    License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ERRNO_H
+#ifndef MAILUTILS_ERRNO_H
 #define _MAILUTILS_ERRNO_H	1
 
 #include <errno.h>
diff --git a/include/mailutils/error.h b/include/mailutils/error.h
index 58fdabc..fc6b74a 100644
--- a/include/mailutils/error.h
+++ b/include/mailutils/error.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ERROR_H
-#define _MAILUTILS_ERROR_H
+#ifndef MAILUTILS_ERROR_H
+#define MAILUTILS_ERROR_H
 
 #include <stdarg.h>
 
@@ -35,4 +35,4 @@ extern int mu_error (const char *fmt, ...) MU_PRINTFLIKE(1,2);
 }
 #endif
 
-#endif /* _MAILUTILS_ERROR_H */
+#endif /* MAILUTILS_ERROR_H */
diff --git a/include/mailutils/filter.h b/include/mailutils/filter.h
index d59d717..72b8647 100644
--- a/include/mailutils/filter.h
+++ b/include/mailutils/filter.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_FILTER_H
-#define _MAILUTILS_FILTER_H
+#ifndef MAILUTILS_FILTER_H
+#define MAILUTILS_FILTER_H
 
 #include <mailutils/types.h>
 
@@ -147,4 +147,4 @@ extern int mu_linelen_filter_create (mu_stream_t *pstream, mu_stream_t stream,
 }
 #endif
 
-#endif /* _MAILUTILS_FILTER_H */
+#endif /* MAILUTILS_FILTER_H */
diff --git a/include/mailutils/folder.h b/include/mailutils/folder.h
index bbaafed..0c8dd44 100644
--- a/include/mailutils/folder.h
+++ b/include/mailutils/folder.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_FOLDER_H
+#ifndef MAILUTILS_FOLDER_H
 # define _MAILUTILS_FOLDER_H
 
 #include <mailutils/types.h>
@@ -105,4 +105,4 @@ int _mu_fsfolder_init (mu_folder_t folder);
 }
 #endif
 
-#endif /* _MAILUTILS_FOLDER_H */
+#endif /* MAILUTILS_FOLDER_H */
diff --git a/include/mailutils/gocs.h b/include/mailutils/gocs.h
index 50822de..ae73931 100644
--- a/include/mailutils/gocs.h
+++ b/include/mailutils/gocs.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_GOCS_H
-#define _MAILUTILS_GOCS_H
+#ifndef MAILUTILS_GOCS_H
+#define MAILUTILS_GOCS_H
 
 #include <mailutils/types.h>
 #include <mailutils/list.h>
diff --git a/include/mailutils/gsasl.h b/include/mailutils/gsasl.h
index 7043624..0d4aef0 100644
--- a/include/mailutils/gsasl.h
+++ b/include/mailutils/gsasl.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_GSASL_H
-#define _MAILUTILS_GSASL_H
+#ifndef MAILUTILS_GSASL_H
+#define MAILUTILS_GSASL_H
 
 struct mu_gsasl_module_data
 {
diff --git a/include/mailutils/guile.h b/include/mailutils/guile.h
index 5dc567c..736cae5 100644
--- a/include/mailutils/guile.h
+++ b/include/mailutils/guile.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MU_SCM_H
-#define _MU_SCM_H
+#ifndef MU_SCM_H
+#define MU_SCM_H
 
 #include <libguile.h>
 
diff --git a/include/mailutils/header.h b/include/mailutils/header.h
index 8e50cb6..7538b4d 100644
--- a/include/mailutils/header.h
+++ b/include/mailutils/header.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_HEADER_H
-#define _MAILUTILS_HEADER_H
+#ifndef MAILUTILS_HEADER_H
+#define MAILUTILS_HEADER_H
 
 #include <mailutils/types.h>
 
@@ -174,4 +174,4 @@ extern int mu_header_set_fill (mu_header_t,
 }
 #endif
 
-#endif /* _MAILUTILS_HEADER_H */
+#endif /* MAILUTILS_HEADER_H */
diff --git a/include/mailutils/imap.h b/include/mailutils/imap.h
index af47c05..c1031e4 100644
--- a/include/mailutils/imap.h
+++ b/include/mailutils/imap.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_IMAP_H
-#define _MAILUTILS_IMAP_H
+#ifndef MAILUTILS_IMAP_H
+#define MAILUTILS_IMAP_H
 
 #include <mailutils/iterator.h>
 #include <mailutils/debug.h>
@@ -299,6 +299,6 @@ union mu_imap_fetch_response
 }
 #endif
 
-#endif /* _MAILUTILS_IMAP_H */
+#endif /* MAILUTILS_IMAP_H */
   
   
diff --git a/include/mailutils/imapio.h b/include/mailutils/imapio.h
index 8d12547..ba5ead4 100644
--- a/include/mailutils/imapio.h
+++ b/include/mailutils/imapio.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_IMAPIO_H
+#ifndef MAILUTILS_IMAPIO_H
 # define _MAILUTILS_IMAPIO_H
 
 #ifdef __cplusplus
@@ -78,5 +78,5 @@ void mu_imapio_clearerr (mu_imapio_t io);
 }
 #endif
 
-#endif /* _MAILUTILS_IMAPIO_H */
+#endif /* MAILUTILS_IMAPIO_H */
   
diff --git a/include/mailutils/imaputil.h b/include/mailutils/imaputil.h
index 6e21343..b8f5462 100644
--- a/include/mailutils/imaputil.h
+++ b/include/mailutils/imaputil.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_IMAPUTIL_H
+#ifndef MAILUTILS_IMAPUTIL_H
 # define _MAILUTILS_IMAPUTIL_H
 
 #ifdef __cplusplus
@@ -32,4 +32,4 @@ int mu_imap_flag_to_attribute (const char *item, int *attr);
 }
 #endif
 
-#endif /* _MAILUTILS_IMAPUTIL_H */
+#endif /* MAILUTILS_IMAPUTIL_H */
diff --git a/include/mailutils/io.h b/include/mailutils/io.h
index c1822ad..caedc17 100644
--- a/include/mailutils/io.h
+++ b/include/mailutils/io.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_IO_H
-#define _MAILUTILS_IO_H
+#ifndef MAILUTILS_IO_H
+#define MAILUTILS_IO_H
 
 #include <stdarg.h>
 
diff --git a/include/mailutils/iterator.h b/include/mailutils/iterator.h
index 84d469f..d243b31 100644
--- a/include/mailutils/iterator.h
+++ b/include/mailutils/iterator.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_ITERATOR_H
-#define _MAILUTILS_ITERATOR_H
+#ifndef MAILUTILS_ITERATOR_H
+#define MAILUTILS_ITERATOR_H
 
 #include <mailutils/types.h>
 
@@ -78,4 +78,4 @@ extern int mu_iterator_set_dataptr (mu_iterator_t itr,
 }
 #endif
 
-#endif /* _MAILUTILS_ITERATOR_H */
+#endif /* MAILUTILS_ITERATOR_H */
diff --git a/include/mailutils/kwd.h b/include/mailutils/kwd.h
index ea87adf..11ed557 100644
--- a/include/mailutils/kwd.h
+++ b/include/mailutils/kwd.h
@@ -15,8 +15,8 @@
    Public License along with this library; If not, see
    <http://www.gnu.org/licenses/>.  */
 
-#ifndef _MAILUTILS_KWD_H
-#define _MAILUTILS_KWD_H
+#ifndef MAILUTILS_KWD_H
+#define MAILUTILS_KWD_H
 
 typedef struct mu_kwd mu_kwd_t;
 
diff --git a/include/mailutils/ldap.h b/include/mailutils/ldap.h
index 98eeb37..85cc469 100644
--- a/include/mailutils/ldap.h
+++ b/include/mailutils/ldap.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LDAP_H
-#define _MAILUTILS_LDAP_H
+#ifndef MAILUTILS_LDAP_H
+#define MAILUTILS_LDAP_H
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/include/mailutils/libargp.h b/include/mailutils/libargp.h
index b2c0f84..51e852c 100644
--- a/include/mailutils/libargp.h
+++ b/include/mailutils/libargp.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LIBARGP_H
-#define _MAILUTILS_LIBARGP_H
+#ifndef MAILUTILS_LIBARGP_H
+#define MAILUTILS_LIBARGP_H
 
 #include "mailutils/types.h"
 #include "mailutils/gocs.h"
diff --git a/include/mailutils/libcfg.h b/include/mailutils/libcfg.h
index b0b0fee..13858f0 100644
--- a/include/mailutils/libcfg.h
+++ b/include/mailutils/libcfg.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LIBCFG_H
-#define _MAILUTILS_LIBCFG_H
+#ifndef MAILUTILS_LIBCFG_H
+#define MAILUTILS_LIBCFG_H
 
 #include <mailutils/cfg.h>
 #include <mailutils/gocs.h>
diff --git a/include/mailutils/list.h b/include/mailutils/list.h
index 09bfccb..dc1cb71 100644
--- a/include/mailutils/list.h
+++ b/include/mailutils/list.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LIST_H
-#define _MAILUTILS_LIST_H
+#ifndef MAILUTILS_LIST_H
+#define MAILUTILS_LIST_H
 
 #include <mailutils/types.h>
 
@@ -346,4 +346,4 @@ void mu_list_sort (mu_list_t _list, mu_list_comparator_t _comp);
 }
 #endif
 
-#endif /* _MAILUTILS_LIST_H */
+#endif /* MAILUTILS_LIST_H */
diff --git a/include/mailutils/locker.h b/include/mailutils/locker.h
index 79ecf07..85d0740 100644
--- a/include/mailutils/locker.h
+++ b/include/mailutils/locker.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LOCKER_H
-#define _MAILUTILS_LOCKER_H
+#ifndef MAILUTILS_LOCKER_H
+#define MAILUTILS_LOCKER_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/log.h b/include/mailutils/log.h
index f1e82c4..5495665 100644
--- a/include/mailutils/log.h
+++ b/include/mailutils/log.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LOG_H
-#define _MAILUTILS_LOG_H
+#ifndef MAILUTILS_LOG_H
+#define MAILUTILS_LOG_H
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/include/mailutils/mailbox.h b/include/mailutils/mailbox.h
index 1468244..b0b4b2a 100644
--- a/include/mailutils/mailbox.h
+++ b/include/mailutils/mailbox.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MAILBOX_H
-#define _MAILUTILS_MAILBOX_H
+#ifndef MAILUTILS_MAILBOX_H
+#define MAILUTILS_MAILBOX_H
 
 #include <sys/types.h>
 
@@ -124,4 +124,4 @@ extern int mu_mailbox_translate (mu_mailbox_t, int, size_t, size_t *);
 }
 #endif
 
-#endif /* _MAILUTILS_MAILBOX_H */
+#endif /* MAILUTILS_MAILBOX_H */
diff --git a/include/mailutils/mailcap.h b/include/mailutils/mailcap.h
index b35c86c..d5e4961 100644
--- a/include/mailutils/mailcap.h
+++ b/include/mailutils/mailcap.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MAILCAP_H
-#define _MAILUTILS_MAILCAP_H
+#ifndef MAILUTILS_MAILCAP_H
+#define MAILUTILS_MAILCAP_H
 
 #include <mailutils/types.h>
 #include <mailutils/errno.h>
diff --git a/include/mailutils/mailer.h b/include/mailutils/mailer.h
index 13c4963..b9839de 100644
--- a/include/mailutils/mailer.h
+++ b/include/mailutils/mailer.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MAILER_H
-#define _MAILUTILS_MAILER_H
+#ifndef MAILUTILS_MAILER_H
+#define MAILUTILS_MAILER_H
 
 #include <mailutils/types.h>
 
@@ -72,4 +72,4 @@ extern int mu_mailer_check_to       (mu_address_t to);
 }
 #endif
 
-#endif /* _MAILUTILS_MAILER_H */
+#endif /* MAILUTILS_MAILER_H */
diff --git a/include/mailutils/md5.h b/include/mailutils/md5.h
index 124bf90..9354e33 100644
--- a/include/mailutils/md5.h
+++ b/include/mailutils/md5.h
@@ -17,8 +17,8 @@
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MD5_H
-#define _MAILUTILS_MD5_H 1
+#ifndef MAILUTILS_MD5_H
+#define MAILUTILS_MD5_H 1
 
 #include <stdio.h>
 #include <stdint.h>
diff --git a/include/mailutils/message.h b/include/mailutils/message.h
index 2395b62..eeb199b 100644
--- a/include/mailutils/message.h
+++ b/include/mailutils/message.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MESSAGE_H
-#define _MAILUTILS_MESSAGE_H
+#ifndef MAILUTILS_MESSAGE_H
+#define MAILUTILS_MESSAGE_H
 
 #include <mailutils/types.h>
 #include <mailutils/datetime.h>
@@ -268,4 +268,4 @@ extern int mu_stream_to_message (mu_stream_t instream, mu_message_t *pmsg);
 }
 #endif
 
-#endif /* _MAILUTILS_MESSAGE_H */
+#endif /* MAILUTILS_MESSAGE_H */
diff --git a/include/mailutils/mh.h b/include/mailutils/mh.h
index 3715653..6eb3d13 100644
--- a/include/mailutils/mh.h
+++ b/include/mailutils/mh.h
@@ -15,8 +15,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MH_H
-#define _MAILUTILS_MH_H
+#ifndef MAILUTILS_MH_H
+#define MAILUTILS_MH_H
 
 extern mu_property_t mu_mh_profile;
 extern mu_property_t mu_mh_context;
diff --git a/include/mailutils/mime.h b/include/mailutils/mime.h
index 0798233..a2d06a2 100644
--- a/include/mailutils/mime.h
+++ b/include/mailutils/mime.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MIME_H
-#define _MAILUTILS_MIME_H
+#ifndef MAILUTILS_MIME_H
+#define MAILUTILS_MIME_H
 
 #include <mailutils/types.h>
 
@@ -79,4 +79,4 @@ int mu_mime_header_parse_subset (const char *text, const char *charset,
 }
 #endif
 
-#endif /* _MAILUTILS_MIME_H */
+#endif /* MAILUTILS_MIME_H */
diff --git a/include/mailutils/monitor.h b/include/mailutils/monitor.h
index 5c6c8ab..c2d0e97 100644
--- a/include/mailutils/monitor.h
+++ b/include/mailutils/monitor.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MONITOR_H
-#define _MAILUTILS_MONITOR_H
+#ifndef MAILUTILS_MONITOR_H
+#define MAILUTILS_MONITOR_H
 
 #include <mailutils/types.h>
 
@@ -52,4 +52,4 @@ extern int mu_monitor_notify      (mu_monitor_t);
 }
 #endif
 
-#endif /* _MAILUTILS_MONITOR_H */
+#endif /* MAILUTILS_MONITOR_H */
diff --git a/include/mailutils/msgset.h b/include/mailutils/msgset.h
index 9c4add1..12e3bed 100644
--- a/include/mailutils/msgset.h
+++ b/include/mailutils/msgset.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MSGSET_H
-#define _MAILUTILS_MSGSET_H
+#ifndef MAILUTILS_MSGSET_H
+#define MAILUTILS_MSGSET_H
 
 # include <mailutils/types.h>
   
diff --git a/include/mailutils/mu_auth.h b/include/mailutils/mu_auth.h
index bc74870..803bfde 100644
--- a/include/mailutils/mu_auth.h
+++ b/include/mailutils/mu_auth.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_MU_AUTH_H
-#define _MAILUTILS_MU_AUTH_H
+#ifndef MAILUTILS_MU_AUTH_H
+#define MAILUTILS_MU_AUTH_H
 
 #include <mailutils/types.h>
 #include <mailutils/gocs.h>
diff --git a/include/mailutils/nls.h b/include/mailutils/nls.h
index c4c48d2..7552f75 100644
--- a/include/mailutils/nls.h
+++ b/include/mailutils/nls.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_NLS_H
-#define _MAILUTILS_NLS_H
+#ifndef MAILUTILS_NLS_H
+#define MAILUTILS_NLS_H
 
 #include <mailutils/types.h>
 #if defined(DEFAULT_TEXT_DOMAIN)
diff --git a/include/mailutils/nntp.h b/include/mailutils/nntp.h
index 7736997..43ce690 100644
--- a/include/mailutils/nntp.h
+++ b/include/mailutils/nntp.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_NNTP_H
-#define _MAILUTILS_NNTP_H
+#ifndef MAILUTILS_NNTP_H
+#define MAILUTILS_NNTP_H
 
 #include <mailutils/debug.h>
 #include <mailutils/stream.h>
@@ -245,4 +245,4 @@ extern int mu_nntp_response_code (mu_nntp_t nntp);
 }
 #endif
 
-#endif /* _MAILUTILS_POP3_H */
+#endif /* MAILUTILS_POP3_H */
diff --git a/include/mailutils/observer.h b/include/mailutils/observer.h
index 1dbe4a6..cf10d8c 100644
--- a/include/mailutils/observer.h
+++ b/include/mailutils/observer.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_OBSERVER_H
-#define _MAILUTILS_OBSERVER_H
+#ifndef MAILUTILS_OBSERVER_H
+#define MAILUTILS_OBSERVER_H
 
 #include <mailutils/types.h>
 
@@ -74,4 +74,4 @@ extern int mu_observable_notify    (mu_observable_t, int type, void *data);
 }
 #endif
 
-#endif /* _MAILUTILS_OBSERVER_H */
+#endif /* MAILUTILS_OBSERVER_H */
diff --git a/include/mailutils/opool.h b/include/mailutils/opool.h
index 19eeef8..4dba29e 100644
--- a/include/mailutils/opool.h
+++ b/include/mailutils/opool.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_OPOOL_H
-#define _MAILUTILS_OPOOL_H
+#ifndef MAILUTILS_OPOOL_H
+#define MAILUTILS_OPOOL_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/pam.h b/include/mailutils/pam.h
index 1fa391e..2cb3fb9 100644
--- a/include/mailutils/pam.h
+++ b/include/mailutils/pam.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_PAM_H
-#define _MAILUTILS_PAM_H
+#ifndef MAILUTILS_PAM_H
+#define MAILUTILS_PAM_H
 #include <mailutils/types.h>
 
 extern char *mu_pam_service;
diff --git a/include/mailutils/parse822.h b/include/mailutils/parse822.h
index a389c9a..e7a5e0e 100644
--- a/include/mailutils/parse822.h
+++ b/include/mailutils/parse822.h
@@ -20,8 +20,8 @@
 * Parses syntatic elements defined in RFC 822.
 */
 
-#ifndef _MAILUTILS_PARSE822_H
-#define _MAILUTILS_PARSE822_H
+#ifndef MAILUTILS_PARSE822_H
+#define MAILUTILS_PARSE822_H
 
 #include <mailutils/types.h>
 #include <mailutils/datetime.h>
@@ -138,5 +138,5 @@ extern int mu_parse822_date_time (const char **p, const char *e,
 }
 #endif
 
-#endif /* _MAILUTILS_PARSE822_H */
+#endif /* MAILUTILS_PARSE822_H */
 
diff --git a/include/mailutils/pop3.h b/include/mailutils/pop3.h
index 5e16b5d..e543db4 100644
--- a/include/mailutils/pop3.h
+++ b/include/mailutils/pop3.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_POP3_H
-#define _MAILUTILS_POP3_H
+#ifndef MAILUTILS_POP3_H
+#define MAILUTILS_POP3_H
 
 #include <mailutils/iterator.h>
 #include <mailutils/debug.h>
@@ -130,4 +130,4 @@ int mu_pop3_stream_to_list (mu_pop3_t pop3, mu_stream_t stream,
 }
 #endif
 
-#endif /* _MAILUTILS_POP3_H */
+#endif /* MAILUTILS_POP3_H */
diff --git a/include/mailutils/prog.h b/include/mailutils/prog.h
index 77cd6e1..4c60514 100644
--- a/include/mailutils/prog.h
+++ b/include/mailutils/prog.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_PROG_H
-#define _MAILUTILS_PROG_H
+#ifndef MAILUTILS_PROG_H
+#define MAILUTILS_PROG_H
 
 #include <sys/time.h>
 #include <sys/resource.h>
diff --git a/include/mailutils/progmailer.h b/include/mailutils/progmailer.h
index 24cbbaa..13916c9 100644
--- a/include/mailutils/progmailer.h
+++ b/include/mailutils/progmailer.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_PROGMAILER_H
-#define _MAILUTILS_PROGMAILER_H
+#ifndef MAILUTILS_PROGMAILER_H
+#define MAILUTILS_PROGMAILER_H
 
 #include <mailutils/types.h>
 
@@ -36,5 +36,5 @@ void mu_progmailer_destroy (mu_progmailer_t *pm);
 }
 #endif
 
-#endif /* _MAILUTILS_PROGMAILER_H */
+#endif /* MAILUTILS_PROGMAILER_H */
   
diff --git a/include/mailutils/property.h b/include/mailutils/property.h
index 0be6d28..88baac2 100644
--- a/include/mailutils/property.h
+++ b/include/mailutils/property.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */; 
 
-#ifndef _MAILUTILS_PROPERTY_H
-#define _MAILUTILS_PROPERTY_H
+#ifndef MAILUTILS_PROPERTY_H
+#define MAILUTILS_PROPERTY_H
 
 #include <sys/types.h>
 
@@ -71,4 +71,4 @@ int mu_mh_property_init (mu_property_t);
 }
 #endif
 
-#endif /* _MAILUTILS_PROPERTY_H */
+#endif /* MAILUTILS_PROPERTY_H */
diff --git a/include/mailutils/python.h b/include/mailutils/python.h
index 7137baa..9c6fa7f 100644
--- a/include/mailutils/python.h
+++ b/include/mailutils/python.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_PYTHON_H
-#define _MAILUTILS_PYTHON_H
+#ifndef MAILUTILS_PYTHON_H
+#define MAILUTILS_PYTHON_H
 
 #include <Python.h>
 
@@ -224,5 +224,5 @@ extern int  mu_py_script_process_mailbox (int argc, char *argv[],
 }
 #endif
 
-#endif /* _MAILUTILS_PYTHON_H */
+#endif /* MAILUTILS_PYTHON_H */
 
diff --git a/include/mailutils/radius.h b/include/mailutils/radius.h
index c1cc4c8..a0a64b9 100644
--- a/include/mailutils/radius.h
+++ b/include/mailutils/radius.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_RADIUS_H
-#define _MAILUTILS_RADIUS_H
+#ifndef MAILUTILS_RADIUS_H
+#define MAILUTILS_RADIUS_H
 #include <mailutils/types.h>
 
 struct mu_radius_module_data
diff --git a/include/mailutils/refcount.h b/include/mailutils/refcount.h
index 1b2f71b..55cc788 100644
--- a/include/mailutils/refcount.h
+++ b/include/mailutils/refcount.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_REFCOUNT_H
-#define _MAILUTILS_REFCOUNT_H
+#ifndef MAILUTILS_REFCOUNT_H
+#define MAILUTILS_REFCOUNT_H
 
 #include <mailutils/types.h>
 
@@ -35,4 +35,4 @@ extern unsigned mu_refcount_dec   (mu_refcount_t);
 }
 #endif
 
-#endif /* _MAILUTILS_REFCOUNT_H */
+#endif /* MAILUTILS_REFCOUNT_H */
diff --git a/include/mailutils/registrar.h b/include/mailutils/registrar.h
index da7d8a1..6b94212 100644
--- a/include/mailutils/registrar.h
+++ b/include/mailutils/registrar.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_REGISTRAR_H
-#define _MAILUTILS_REGISTRAR_H
+#ifndef MAILUTILS_REGISTRAR_H
+#define MAILUTILS_REGISTRAR_H
 
 #include <mailutils/types.h>
 
@@ -176,4 +176,4 @@ extern mu_record_t mu_prog_record;
 }
 #endif
 
-#endif /* _MAILUTILS_REGISTRAR_H */
+#endif /* MAILUTILS_REGISTRAR_H */
diff --git a/include/mailutils/secret.h b/include/mailutils/secret.h
index c405412..8fa5e00 100644
--- a/include/mailutils/secret.h
+++ b/include/mailutils/secret.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SECRET_H
-#define _MAILUTILS_SECRET_H
+#ifndef MAILUTILS_SECRET_H
+#define MAILUTILS_SECRET_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/server.h b/include/mailutils/server.h
index cd87609..0d50784 100644
--- a/include/mailutils/server.h
+++ b/include/mailutils/server.h
@@ -15,8 +15,8 @@
    Public License along with this library; If not, see
    <http://www.gnu.org/licenses/>.  */
 
-#ifndef _MAILUTILS_SERVER_H
-#define _MAILUTILS_SERVER_H
+#ifndef MAILUTILS_SERVER_H
+#define MAILUTILS_SERVER_H
 
 #include <mailutils/types.h>
 #include <signal.h>
diff --git a/include/mailutils/sha1.h b/include/mailutils/sha1.h
index 546fe57..d64b538 100644
--- a/include/mailutils/sha1.h
+++ b/include/mailutils/sha1.h
@@ -16,7 +16,7 @@
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SHA1_H
+#ifndef MAILUTILS_SHA1_H
 # define _MAILUTILS_SHA1_H 1
 
 # include <stdio.h>
diff --git a/include/mailutils/sieve.h b/include/mailutils/sieve.h
index f9ef9db..65ef4f8 100644
--- a/include/mailutils/sieve.h
+++ b/include/mailutils/sieve.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_LIBSIEVE_H
-#define _MAILUTILS_LIBSIEVE_H
+#ifndef MAILUTILS_LIBSIEVE_H
+#define MAILUTILS_LIBSIEVE_H
 
 #include <sys/types.h>
 #include <stdarg.h>
diff --git a/include/mailutils/smtp.h b/include/mailutils/smtp.h
index 61911f0..e3552ed 100644
--- a/include/mailutils/smtp.h
+++ b/include/mailutils/smtp.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SMTP_H
+#ifndef MAILUTILS_SMTP_H
 # define _MAILUTILS_SMTP_H
 
 # include <sys/types.h>
diff --git a/include/mailutils/sockaddr.h b/include/mailutils/sockaddr.h
index 0a64252..f12f573 100644
--- a/include/mailutils/sockaddr.h
+++ b/include/mailutils/sockaddr.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SOCKADDR_H
-#define _MAILUTILS_SOCKADDR_H
+#ifndef MAILUTILS_SOCKADDR_H
+#define MAILUTILS_SOCKADDR_H
 
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -74,5 +74,5 @@ int mu_str_is_ipaddr (const char *addr);
 }
 #endif
 
-#endif /* _MAILUTILS_SOCKADDR_H */
+#endif /* MAILUTILS_SOCKADDR_H */
 	
diff --git a/include/mailutils/sql.h b/include/mailutils/sql.h
index 7ea31e7..d34b569 100644
--- a/include/mailutils/sql.h
+++ b/include/mailutils/sql.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SQL_H
-#define _MAILUTILS_SQL_H
+#ifndef MAILUTILS_SQL_H
+#define MAILUTILS_SQL_H
 
 /* Configuration */
 enum mu_password_type
diff --git a/include/mailutils/stdstream.h b/include/mailutils/stdstream.h
index f473b8b..9013b2e 100644
--- a/include/mailutils/stdstream.h
+++ b/include/mailutils/stdstream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_STDSTREAM_H
-#define _MAILUTILS_STDSTREAM_H
+#ifndef MAILUTILS_STDSTREAM_H
+#define MAILUTILS_STDSTREAM_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/stream.h b/include/mailutils/stream.h
index 695d3d7..9e58303 100644
--- a/include/mailutils/stream.h
+++ b/include/mailutils/stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_STREAM_H
-#define _MAILUTILS_STREAM_H
+#ifndef MAILUTILS_STREAM_H
+#define MAILUTILS_STREAM_H
 
 #include <mailutils/types.h>
 #include <stdarg.h>
diff --git a/include/mailutils/sys/amd.h b/include/mailutils/sys/amd.h
index 19f274e..e8bdd8b 100644
--- a/include/mailutils/sys/amd.h
+++ b/include/mailutils/sys/amd.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_AMD_H
+#ifndef MAILUTILS_SYS_AMD_H
 # define _MAILUTILS_SYS_AMD_H
 # define MAX_OPEN_STREAMS 16
 
diff --git a/include/mailutils/sys/attribute.h b/include/mailutils/sys/attribute.h
index 3fb6cdb..c5b0f32 100644
--- a/include/mailutils/sys/attribute.h
+++ b/include/mailutils/sys/attribute.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_ATTRIBUTE_H
+#ifndef MAILUTILS_SYS_ATTRIBUTE_H
 # define _MAILUTILS_SYS_ATTRIBUTE_H
 
 #include <mailutils/attribute.h>
@@ -41,4 +41,4 @@ struct _mu_attribute
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_ATTRIBUTE_H */
+#endif /* MAILUTILS_SYS_ATTRIBUTE_H */
diff --git a/include/mailutils/sys/auth.h b/include/mailutils/sys/auth.h
index a92170f..6470d9c 100644
--- a/include/mailutils/sys/auth.h
+++ b/include/mailutils/sys/auth.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_AUTH_H
+#ifndef MAILUTILS_SYS_AUTH_H
 # define _MAILUTILS_SYS_AUTH_H
 
 #include <sys/types.h>
@@ -62,4 +62,4 @@ struct _mu_wicket
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_AUTH_H */
+#endif /* MAILUTILS_SYS_AUTH_H */
diff --git a/include/mailutils/sys/body.h b/include/mailutils/sys/body.h
index 501bc83..30c05c9 100644
--- a/include/mailutils/sys/body.h
+++ b/include/mailutils/sys/body.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_BODY_H
+#ifndef MAILUTILS_SYS_BODY_H
 # define _MAILUTILS_SYS_BODY_H
 
 #include <mailutils/stream.h>
@@ -45,4 +45,4 @@ struct _mu_body
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_BODY_H */
+#endif /* MAILUTILS_SYS_BODY_H */
diff --git a/include/mailutils/sys/dbm.h b/include/mailutils/sys/dbm.h
index 49f71e2..a750201 100644
--- a/include/mailutils/sys/dbm.h
+++ b/include/mailutils/sys/dbm.h
@@ -15,7 +15,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_DBM_H
+#ifndef MAILUTILS_SYS_DBM_H
 # define _MAILUTILS_SYS_DBM_H
 
 union _mu_dbm_errno
diff --git a/include/mailutils/sys/envelope.h b/include/mailutils/sys/envelope.h
index a641ab5..e2cc41c 100644
--- a/include/mailutils/sys/envelope.h
+++ b/include/mailutils/sys/envelope.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_ENVELOPE_H
+#ifndef MAILUTILS_SYS_ENVELOPE_H
 # define _MAILUTILS_SYS_ENVELOPE_H
 
 #include <mailutils/envelope.h>
@@ -39,4 +39,4 @@ struct _mu_envelope
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_ENVELOPE_H */
+#endif /* MAILUTILS_SYS_ENVELOPE_H */
diff --git a/include/mailutils/sys/file_stream.h b/include/mailutils/sys/file_stream.h
index 1cb0788..26c818f 100644
--- a/include/mailutils/sys/file_stream.h
+++ b/include/mailutils/sys/file_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_FILE_STREAM_H
-#define _MAILUTILS_SYS_FILE_STREAM_H
+#ifndef MAILUTILS_SYS_FILE_STREAM_H
+#define MAILUTILS_SYS_FILE_STREAM_H
 
 #include <mailutils/types.h>
 #include <mailutils/stream.h>
diff --git a/include/mailutils/sys/filter.h b/include/mailutils/sys/filter.h
index 2424abe..b49ccb7 100644
--- a/include/mailutils/sys/filter.h
+++ b/include/mailutils/sys/filter.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_FILTER_H
-#define _MAILUTILS_SYS_FILTER_H
+#ifndef MAILUTILS_SYS_FILTER_H
+#define MAILUTILS_SYS_FILTER_H
 
 #include <mailutils/filter.h>
 #include <mailutils/sys/stream.h>
@@ -55,4 +55,4 @@ struct _mu_filter_stream
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_FILTER_H */
+#endif /* MAILUTILS_SYS_FILTER_H */
diff --git a/include/mailutils/sys/folder.h b/include/mailutils/sys/folder.h
index 6f4b623..19808c1 100644
--- a/include/mailutils/sys/folder.h
+++ b/include/mailutils/sys/folder.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_FOLDER_H
+#ifndef MAILUTILS_SYS_FOLDER_H
 # define _MAILUTILS_SYS_FOLDER_H
 
 # include <sys/types.h>
@@ -70,4 +70,4 @@ struct _mu_folder
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_FOLDER_H */
+#endif /* MAILUTILS_SYS_FOLDER_H */
diff --git a/include/mailutils/sys/gsasl-stream.h b/include/mailutils/sys/gsasl-stream.h
index baeeb34..9f2a5c0 100644
--- a/include/mailutils/sys/gsasl-stream.h
+++ b/include/mailutils/sys/gsasl-stream.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_TLS_STREAM_H
+#ifndef MAILUTILS_SYS_TLS_STREAM_H
 # define _MAILUTILS_SYS_GSASL_STREAM_H
 
 # include <mailutils/types.h>
diff --git a/include/mailutils/sys/header.h b/include/mailutils/sys/header.h
index 6ac4f49..debd920 100644
--- a/include/mailutils/sys/header.h
+++ b/include/mailutils/sys/header.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _HEADER0_H
-#define _HEADER0_H
+#ifndef HEADER0_H
+#define HEADER0_H
 
 #ifdef DMALLOC
 # include <dmalloc.h>
@@ -76,4 +76,4 @@ struct _mu_header
 }
 #endif
 
-#endif /* _HEADER0_H */
+#endif /* HEADER0_H */
diff --git a/include/mailutils/sys/header_stream.h b/include/mailutils/sys/header_stream.h
index a87e5f4..046376d 100644
--- a/include/mailutils/sys/header_stream.h
+++ b/include/mailutils/sys/header_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_HEADER_STREAM_H
-#define _MAILUTILS_SYS_HEADER_STREAM_H
+#ifndef MAILUTILS_SYS_HEADER_STREAM_H
+#define MAILUTILS_SYS_HEADER_STREAM_H
 
 #include <mailutils/header.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/imap.h b/include/mailutils/sys/imap.h
index e8bc9a2..66438bd 100644
--- a/include/mailutils/sys/imap.h
+++ b/include/mailutils/sys/imap.h
@@ -15,7 +15,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_IMAP_H
+#ifndef MAILUTILS_SYS_IMAP_H
 # define _MAILUTILS_SYS_IMAP_H
 
 # include <mailutils/sys/folder.h>
@@ -282,4 +282,4 @@ struct _mu_imap_mailbox
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_IMAP_H */
+#endif /* MAILUTILS_SYS_IMAP_H */
diff --git a/include/mailutils/sys/imapio.h b/include/mailutils/sys/imapio.h
index dab6e76..30e3ace 100644
--- a/include/mailutils/sys/imapio.h
+++ b/include/mailutils/sys/imapio.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_IMAPIO_H
+#ifndef MAILUTILS_SYS_IMAPIO_H
 # define _MAILUTILS_SYS_IMAPIO_H
 
 #include <mailutils/types.h>
diff --git a/include/mailutils/sys/iostream.h b/include/mailutils/sys/iostream.h
index 5e014a1..8ce3b77 100644
--- a/include/mailutils/sys/iostream.h
+++ b/include/mailutils/sys/iostream.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_IOSTREAM_H
+#ifndef MAILUTILS_SYS_IOSTREAM_H
 # define _MAILUTILS_SYS_IOSTREAM_H
 
 # include <mailutils/types.h>
diff --git a/include/mailutils/sys/iterator.h b/include/mailutils/sys/iterator.h
index 73a4926..ab5b2b6 100644
--- a/include/mailutils/sys/iterator.h
+++ b/include/mailutils/sys/iterator.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_ITERATOR_H
+#ifndef MAILUTILS_SYS_ITERATOR_H
 # define _MAILUTILS_SYS_ITERATOR_H
 
 # include <mailutils/iterator.h>
@@ -46,4 +46,4 @@ struct _mu_iterator
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_ITERATOR_H */
+#endif /* MAILUTILS_SYS_ITERATOR_H */
diff --git a/include/mailutils/sys/list.h b/include/mailutils/sys/list.h
index 200aa1b..c08aab2 100644
--- a/include/mailutils/sys/list.h
+++ b/include/mailutils/sys/list.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_LIST_H
+#ifndef MAILUTILS_SYS_LIST_H
 # define _MAILUTILS_SYS_LIST_H
 
 # include <sys/types.h>
@@ -69,4 +69,4 @@ extern int _mu_list_insert_item (mu_list_t list, struct list_data *current,
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_LIST_H */
+#endif /* MAILUTILS_SYS_LIST_H */
diff --git a/include/mailutils/sys/logstream.h b/include/mailutils/sys/logstream.h
index 0303552..0438fcd 100644
--- a/include/mailutils/sys/logstream.h
+++ b/include/mailutils/sys/logstream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_LOGSTREAM_H
-#define _MAILUTILS_SYS_LOGSTREAM_H
+#ifndef MAILUTILS_SYS_LOGSTREAM_H
+#define MAILUTILS_SYS_LOGSTREAM_H
 
 #include <mailutils/types.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/mailbox.h b/include/mailutils/sys/mailbox.h
index ebae207..d72c44d 100644
--- a/include/mailutils/sys/mailbox.h
+++ b/include/mailutils/sys/mailbox.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MAILBOX_H
+#ifndef MAILUTILS_SYS_MAILBOX_H
 # define _MAILUTILS_SYS_MAILBOX_H
 
 # include <sys/types.h>
@@ -81,4 +81,4 @@ struct _mu_mailbox
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_MAILBOX_H */
+#endif /* MAILUTILS_SYS_MAILBOX_H */
diff --git a/include/mailutils/sys/mailer.h b/include/mailutils/sys/mailer.h
index be02e24..1892419 100644
--- a/include/mailutils/sys/mailer.h
+++ b/include/mailutils/sys/mailer.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MAILER_H
+#ifndef MAILUTILS_SYS_MAILER_H
 # define _MAILUTILS_SYS_MAILER_H
 
 # include <sys/types.h>
@@ -63,4 +63,4 @@ int _mu_mailer_folder_init (mu_folder_t folder MU_ARG_UNUSED);
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_MAILER_H */
+#endif /* MAILUTILS_SYS_MAILER_H */
diff --git a/include/mailutils/sys/mapfile_stream.h b/include/mailutils/sys/mapfile_stream.h
index 7277320..906ce1c 100644
--- a/include/mailutils/sys/mapfile_stream.h
+++ b/include/mailutils/sys/mapfile_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MAPFILE_STREAM_H
-#define _MAILUTILS_SYS_MAPFILE_STREAM_H
+#ifndef MAILUTILS_SYS_MAPFILE_STREAM_H
+#define MAILUTILS_SYS_MAPFILE_STREAM_H
 
 #include <mailutils/sys/stream.h>
 
diff --git a/include/mailutils/sys/memory_stream.h b/include/mailutils/sys/memory_stream.h
index ac15861..5b5db17 100644
--- a/include/mailutils/sys/memory_stream.h
+++ b/include/mailutils/sys/memory_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MEMORY_STREAM_H
-#define _MAILUTILS_SYS_MEMORY_STREAM_H
+#ifndef MAILUTILS_SYS_MEMORY_STREAM_H
+#define MAILUTILS_SYS_MEMORY_STREAM_H
 
 #include <mailutils/sys/stream.h>
 
diff --git a/include/mailutils/sys/message.h b/include/mailutils/sys/message.h
index d9d4c4a..a7d924d 100644
--- a/include/mailutils/sys/message.h
+++ b/include/mailutils/sys/message.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MESSAGE0_H
-#define _MESSAGE0_H
+#ifndef MESSAGE0_H
+#define MESSAGE0_H
 
 #include <mailutils/message.h>
 #include <mailutils/mime.h>
@@ -72,4 +72,4 @@ struct _mu_message
 }
 #endif
 
-#endif /* _MESSAGE0_H */
+#endif /* MESSAGE0_H */
diff --git a/include/mailutils/sys/message_stream.h b/include/mailutils/sys/message_stream.h
index b0693ca..4dd7b9b 100644
--- a/include/mailutils/sys/message_stream.h
+++ b/include/mailutils/sys/message_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MESSAGE_STREAM_H
-#define _MAILUTILS_SYS_MESSAGE_STREAM_H
+#ifndef MAILUTILS_SYS_MESSAGE_STREAM_H
+#define MAILUTILS_SYS_MESSAGE_STREAM_H
 
 #include <mailutils/sys/stream.h>
 
diff --git a/include/mailutils/sys/mime.h b/include/mailutils/sys/mime.h
index 0323fab..92ba416 100644
--- a/include/mailutils/sys/mime.h
+++ b/include/mailutils/sys/mime.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MIME_H
-#define _MAILUTILS_SYS_MIME_H
+#ifndef MAILUTILS_SYS_MIME_H
+#define MAILUTILS_SYS_MIME_H
 
 #include <sys/types.h>
 #include <mailutils/mime.h>
diff --git a/include/mailutils/sys/monitor.h b/include/mailutils/sys/monitor.h
index ff9bd67..99b2202 100644
--- a/include/mailutils/sys/monitor.h
+++ b/include/mailutils/sys/monitor.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MONITOR_H
+#ifndef MAILUTILS_SYS_MONITOR_H
 # define _MAILUTILS_SYS_MONITOR_H
 
 # ifdef HAVE_CONFIG_H
diff --git a/include/mailutils/sys/msgset.h b/include/mailutils/sys/msgset.h
index 0e3e73a..5239365 100644
--- a/include/mailutils/sys/msgset.h
+++ b/include/mailutils/sys/msgset.h
@@ -15,7 +15,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_MSGSET_H
+#ifndef MAILUTILS_SYS_MSGSET_H
 # define _MAILUTILS_SYS_MSGSET_H
 
 #define _MU_MSGSET_AGGREGATED 0x10
diff --git a/include/mailutils/sys/nntp.h b/include/mailutils/sys/nntp.h
index 833500d..fc0cd76 100644
--- a/include/mailutils/sys/nntp.h
+++ b/include/mailutils/sys/nntp.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_NNTP_H
-#define _MAILUTILS_SYS_NNTP_H
+#ifndef MAILUTILS_SYS_NNTP_H
+#define MAILUTILS_SYS_NNTP_H
 
 #include <sys/types.h>
 #include <mailutils/nntp.h>
@@ -218,4 +218,4 @@ while (0)
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_NNTP_H */
+#endif /* MAILUTILS_SYS_NNTP_H */
diff --git a/include/mailutils/sys/nullstream.h b/include/mailutils/sys/nullstream.h
index 6f42ed2..c96d250 100644
--- a/include/mailutils/sys/nullstream.h
+++ b/include/mailutils/sys/nullstream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_NULLSTREAM_H
-#define _MAILUTILS_SYS_NULLSTREAM_H
+#ifndef MAILUTILS_SYS_NULLSTREAM_H
+#define MAILUTILS_SYS_NULLSTREAM_H
 
 #include <mailutils/types.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/observer.h b/include/mailutils/sys/observer.h
index d5c3b7f..d711f2b 100644
--- a/include/mailutils/sys/observer.h
+++ b/include/mailutils/sys/observer.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_OBSERVER_H
+#ifndef MAILUTILS_SYS_OBSERVER_H
 # define _MAILUTILS_SYS_OBSERVER_H
 
 # include <mailutils/observer.h>
@@ -52,4 +52,4 @@ typedef struct _event *event_t;
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_OBSERVER_H */
+#endif /* MAILUTILS_SYS_OBSERVER_H */
diff --git a/include/mailutils/sys/pop3.h b/include/mailutils/sys/pop3.h
index 47193f2..9be0950 100644
--- a/include/mailutils/sys/pop3.h
+++ b/include/mailutils/sys/pop3.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_POP3_H
-#define _MAILUTILS_SYS_POP3_H
+#ifndef MAILUTILS_SYS_POP3_H
+#define MAILUTILS_SYS_POP3_H
 
 #include <sys/types.h>
 #include <mailutils/pop3.h>
@@ -150,4 +150,4 @@ int _mu_pop3_init (mu_pop3_t pop3);
 }
 #endif
 
-#endif /* _MAILUTILS_SYS_POP3_H */
+#endif /* MAILUTILS_SYS_POP3_H */
diff --git a/include/mailutils/sys/prog_stream.h b/include/mailutils/sys/prog_stream.h
index 4dbcbd0..a4c1cdb 100644
--- a/include/mailutils/sys/prog_stream.h
+++ b/include/mailutils/sys/prog_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_PROG_STREAM_H
-#define _MAILUTILS_SYS_PROG_STREAM_H
+#ifndef MAILUTILS_SYS_PROG_STREAM_H
+#define MAILUTILS_SYS_PROG_STREAM_H
 
 #include <mailutils/sys/stream.h>
 #include <mailutils/prog.h>
diff --git a/include/mailutils/sys/property.h b/include/mailutils/sys/property.h
index 4703f23..8330dac 100644
--- a/include/mailutils/sys/property.h
+++ b/include/mailutils/sys/property.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_PROPERTY_H
+#ifndef MAILUTILS_SYS_PROPERTY_H
 # define _MAILUTILS_SYS_PROPERTY_H
 
 # include <errno.h>
@@ -73,4 +73,4 @@ int _mu_property_check (mu_property_t prop);
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_PROPERTY_H */
+#endif /* MAILUTILS_SYS_PROPERTY_H */
diff --git a/include/mailutils/sys/rdcache_stream.h b/include/mailutils/sys/rdcache_stream.h
index 0381424..c4e4865 100644
--- a/include/mailutils/sys/rdcache_stream.h
+++ b/include/mailutils/sys/rdcache_stream.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_RDCACHE_STREAM_H
+#ifndef MAILUTILS_SYS_RDCACHE_STREAM_H
 # define _MAILUTILS_SYS_RDCACHE_STREAM_H
 
 # include <mailutils/types.h>
diff --git a/include/mailutils/sys/registrar.h b/include/mailutils/sys/registrar.h
index 9727cf4..009719f 100644
--- a/include/mailutils/sys/registrar.h
+++ b/include/mailutils/sys/registrar.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_REGISTRAR_H
+#ifndef MAILUTILS_SYS_REGISTRAR_H
 # define _MAILUTILS_SYS_REGISTRAR_H
 
 # include <mailutils/registrar.h>
@@ -98,4 +98,4 @@ extern int _mailbox_maildir_init (mu_mailbox_t mailbox);
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_REGISTRAR_H */
+#endif /* MAILUTILS_SYS_REGISTRAR_H */
diff --git a/include/mailutils/sys/smtp.h b/include/mailutils/sys/smtp.h
index f9b01b8..e3c734c 100644
--- a/include/mailutils/sys/smtp.h
+++ b/include/mailutils/sys/smtp.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_SMTP_H
+#ifndef MAILUTILS_SYS_SMTP_H
 # define _MAILUTILS_SYS_SMTP_H
 
 # include <sys/types.h>
diff --git a/include/mailutils/sys/stream.h b/include/mailutils/sys/stream.h
index d76be81..eba7357 100644
--- a/include/mailutils/sys/stream.h
+++ b/include/mailutils/sys/stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_STREAM_H
-#define _MAILUTILS_SYS_STREAM_H
+#ifndef MAILUTILS_SYS_STREAM_H
+#define MAILUTILS_SYS_STREAM_H
 
 #define _MU_STR_OPEN          0x01000000    /* Stream open */
 #define _MU_STR_DIRTY         0x02000000    /* Buffer dirty */
diff --git a/include/mailutils/sys/streamref.h b/include/mailutils/sys/streamref.h
index 56202e7..36fc2dd 100644
--- a/include/mailutils/sys/streamref.h
+++ b/include/mailutils/sys/streamref.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_STREAMREF_H
-#define _MAILUTILS_SYS_STREAMREF_H
+#ifndef MAILUTILS_SYS_STREAMREF_H
+#define MAILUTILS_SYS_STREAMREF_H
 
 #include <mailutils/types.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/streamtrans.h b/include/mailutils/sys/streamtrans.h
index 4745004..3cdcda5 100644
--- a/include/mailutils/sys/streamtrans.h
+++ b/include/mailutils/sys/streamtrans.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_STREAMTRANS_H
-#define _MAILUTILS_SYS_STREAMTRANS_H
+#ifndef MAILUTILS_SYS_STREAMTRANS_H
+#define MAILUTILS_SYS_STREAMTRANS_H
 
 #include <mailutils/types.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/syslogstream.h b/include/mailutils/sys/syslogstream.h
index d15db82..4bc71bb 100644
--- a/include/mailutils/sys/syslogstream.h
+++ b/include/mailutils/sys/syslogstream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_SYSLOGSTREAM_H
-#define _MAILUTILS_SYS_SYSLOGSTREAM_H
+#ifndef MAILUTILS_SYS_SYSLOGSTREAM_H
+#define MAILUTILS_SYS_SYSLOGSTREAM_H
 
 #include <mailutils/types.h>
 #include <mailutils/sys/stream.h>
diff --git a/include/mailutils/sys/temp_file_stream.h b/include/mailutils/sys/temp_file_stream.h
index 31593ff..bd1691d 100644
--- a/include/mailutils/sys/temp_file_stream.h
+++ b/include/mailutils/sys/temp_file_stream.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_TEMP_FILE_STREAM_H
-#define _MAILUTILS_SYS_TEMP_FILE_STREAM_H
+#ifndef MAILUTILS_SYS_TEMP_FILE_STREAM_H
+#define MAILUTILS_SYS_TEMP_FILE_STREAM_H
 
 #include <mailutils/types.h>
 #include <mailutils/stream.h>
diff --git a/include/mailutils/sys/tls-stream.h b/include/mailutils/sys/tls-stream.h
index afed9b6..9b2c267 100644
--- a/include/mailutils/sys/tls-stream.h
+++ b/include/mailutils/sys/tls-stream.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_TLS_STREAM_H
+#ifndef MAILUTILS_SYS_TLS_STREAM_H
 # define _MAILUTILS_SYS_TLS_STREAM_H
 
 # include <mailutils/types.h>
diff --git a/include/mailutils/sys/url.h b/include/mailutils/sys/url.h
index 5d6e926..6482d9d 100644
--- a/include/mailutils/sys/url.h
+++ b/include/mailutils/sys/url.h
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_URL_H
+#ifndef MAILUTILS_SYS_URL_H
 # define _MAILUTILS_SYS_URL_H
 
 # include <mailutils/url.h>
@@ -65,4 +65,4 @@ struct _mu_url
 }
 # endif
 
-#endif /* _MAILUTILS_SYS_URL_H */
+#endif /* MAILUTILS_SYS_URL_H */
diff --git a/include/mailutils/sys/xscript-stream.h b/include/mailutils/sys/xscript-stream.h
index a07abd8..6b8e5cb 100644
--- a/include/mailutils/sys/xscript-stream.h
+++ b/include/mailutils/sys/xscript-stream.h
@@ -14,7 +14,7 @@
    You should have received a copy of the GNU Lesser General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYS_XSCRIPT_STREAM_H
+#ifndef MAILUTILS_SYS_XSCRIPT_STREAM_H
 # define _MAILUTILS_SYS_XSCRIPT_STREAM_H
 
 # include <mailutils/types.h>
diff --git a/include/mailutils/syslog.h b/include/mailutils/syslog.h
index 5cf79b1..960b753 100644
--- a/include/mailutils/syslog.h
+++ b/include/mailutils/syslog.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_SYSLOG_H
-#define _MAILUTILS_SYSLOG_H
+#ifndef MAILUTILS_SYSLOG_H
+#define MAILUTILS_SYSLOG_H
 
 #include <syslog.h>
 
diff --git a/include/mailutils/tls.h b/include/mailutils/tls.h
index 054d1e4..b3ef5ad 100644
--- a/include/mailutils/tls.h
+++ b/include/mailutils/tls.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_TLS_H
-#define _MAILUTILS_TLS_H
+#ifndef MAILUTILS_TLS_H
+#define MAILUTILS_TLS_H
 
 #include <mailutils/types.h>
 
@@ -58,5 +58,5 @@ extern int mu_tls_enable;
 }
 #endif
 
-#endif /* _MAILUTILS_TLS_H */
+#endif /* MAILUTILS_TLS_H */
 
diff --git a/include/mailutils/types.hin b/include/mailutils/types.hin
index b9be8f1..dac2713 100644
--- a/include/mailutils/types.hin
+++ b/include/mailutils/types.hin
@@ -16,7 +16,7 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_TYPES_H
+#ifndef MAILUTILS_TYPES_H
 #define _MAILUTILS_TYPES_H
 
 #include <sys/types.h>
diff --git a/include/mailutils/url.h b/include/mailutils/url.h
index 4ebb064..6e1ff62 100644
--- a/include/mailutils/url.h
+++ b/include/mailutils/url.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_URL_H
-#define _MAILUTILS_URL_H	1
+#ifndef MAILUTILS_URL_H
+#define MAILUTILS_URL_H	1
 
 #include <mailutils/types.h>
 
@@ -157,4 +157,4 @@ int mu_url_clear_query (mu_url_t url);
 }
 #endif
 
-#endif /* _MAILUTILS_URL_H */
+#endif /* MAILUTILS_URL_H */
diff --git a/include/mailutils/util.h b/include/mailutils/util.h
index 45caaa7..8668246 100644
--- a/include/mailutils/util.h
+++ b/include/mailutils/util.h
@@ -16,8 +16,8 @@
    Public License along with this library.  If not, see
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_UTIL_H
-#define _MAILUTILS_UTIL_H
+#ifndef MAILUTILS_UTIL_H
+#define MAILUTILS_UTIL_H
 
 /* A collection of utility routines that don't belong somewhere else. */
 
diff --git a/include/mailutils/vartab.h b/include/mailutils/vartab.h
index ec1d3d5..e10175a 100644
--- a/include/mailutils/vartab.h
+++ b/include/mailutils/vartab.h
@@ -15,8 +15,8 @@
    Public License along with this library; If not, see
    <http://www.gnu.org/licenses/>.  */
 
-#ifndef _MAILUTILS_VARTAB_H
-#define _MAILUTILS_VARTAB_H
+#ifndef MAILUTILS_VARTAB_H
+#define MAILUTILS_VARTAB_H
 
 #include <mailutils/types.h>
 
diff --git a/include/mailutils/version.h b/include/mailutils/version.h
index 589769c..5715f45 100644
--- a/include/mailutils/version.h
+++ b/include/mailutils/version.h
@@ -15,8 +15,8 @@
    Public License along with this library.  If not, see 
    <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAILUTILS_VERSION_H
-#define _MAILUTILS_VERSION_H
+#ifndef MAILUTILS_VERSION_H
+#define MAILUTILS_VERSION_H
 
 #include <mailutils/types.h>  
 
diff --git a/include/mailutils/wordsplit.h b/include/mailutils/wordsplit.h
index 2538da6..c2dbf07 100644
--- a/include/mailutils/wordsplit.h
+++ b/include/mailutils/wordsplit.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License along
    with this program. If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef __MAILUTILS_WORDSPLIT_H
-#define __MAILUTILS_WORDSPLIT_H
+#ifndef MAILUTILS_WORDSPLIT_H
+#define MAILUTILS_WORDSPLIT_H
 
 #include <stddef.h>
 
diff --git a/mail/mail.h b/mail/mail.h
index 2dbe8d1..be5ef1d 100644
--- a/mail/mail.h
+++ b/mail/mail.h
@@ -15,8 +15,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _MAIL_H
-#define _MAIL_H 1
+#ifndef MAIL_H
+#define MAIL_H 1
 
 #ifdef HAVE_CONFIG_H
 #include <config.h>
@@ -479,4 +479,4 @@ extern char **exec_compl (int argc, char **argv, int ws);
 }
 #endif
 
-#endif /* _MAIL_H */
+#endif /* MAIL_H */
diff --git a/pop3d/pop3d.h b/pop3d/pop3d.h
index aa99ea4..1d382bc 100644
--- a/pop3d/pop3d.h
+++ b/pop3d/pop3d.h
@@ -14,8 +14,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _POP3D_H
-#define _POP3D_H	1
+#ifndef POP3D_H
+#define POP3D_H	1
 
 #ifdef HAVE_CONFIG_H
 # include <config.h>
@@ -277,4 +277,4 @@ extern const char *pop3d_error_string (int code);
 
 extern int set_xscript_level (int xlev);
 
-#endif /* _POP3D_H */
+#endif /* POP3D_H */
diff --git a/readmsg/readmsg.h b/readmsg/readmsg.h
index d219faa..67c30d8 100644
--- a/readmsg/readmsg.h
+++ b/readmsg/readmsg.h
@@ -15,8 +15,8 @@
    You should have received a copy of the GNU General Public License
    along with GNU Mailutils.  If not, see <http://www.gnu.org/licenses/>. */
 
-#ifndef _READMSG_H
-#define _READMSG_H
+#ifndef READMSG_H
+#define READMSG_H
 
 #ifdef HAVE_CONFIG_H
 # include <config.h>
-- 
1.7.9.2

